From 21719ca9fbd4940a5bc06cf375515188d7b5d5f8 Mon Sep 17 00:00:00 2001
From: Martin Topholm <mph@hoth.dk>
Date: Thu, 12 Mar 2015 13:47:19 +0100
Subject: [PATCH 3/3] termio: correct labelwidth variable scope

When defining NCURSES labelwidth wasn't properly defined.
Additionally a format error existed in the NCURSES path.
---
 termio.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/termio.c b/termio.c
index bb4b431..b31955f 100644
--- a/termio.c
+++ b/termio.c
@@ -27,12 +27,12 @@
 
 static int ifirst_state = -1;
 static int holding_row = 0;
+static int labelwidth;
 
 extern int w_width;
 
 #ifndef NCURSES
 static int cursor_y;
-static int labelwidth;
 static char *scrbuffer;
 struct termios oterm;
 
@@ -317,7 +317,7 @@ termio_cleanup(void)
 			fprintf(stdout, "%c[2;32m%*.*s%c[0m",
 			    0x1b, w_width, w_width, t->host, 0x1b);
 		else if (C_flag && t->ev_resolve && sa(t)->sa_family == AF_INET)
-			fprintf(stdout, "%c[2;31m%*.*%sc[0m",
+			fprintf(stdout, "%c[2;31m%*.*s%c[0m",
 			    0x1b, w_width, w_width, t->host, 0x1b);
 		else
 			fprintf(stdout, "%*.*s", w_width, w_width, t->host);
